
$(document).ready(function(){
    
    $('[@name=shipAddr]').click(function(){
        var addrID = $(this).val();
        if(addrID != 0){
            $('#saveaddr').hide();$('#isSaveAddr').attr('checked','');
            $.ajax({
                url:'ComOrder.aspx?NoCopyRight=1&type=ajax&Action=GetAddrDetail&AddrID='+addrID,
                type:'get',
                dataType:'json',
                cache:false,
                success:function(msg){
                    if(msg.Addr.length > 0){
                        var n = msg.Addr[0];
                        $('#txtRName').val(n.ReceiverName);
                        $('#txtRPhone').val(n.ReceiverPhone);
                        $('#txtRPostalcode').val(n.ReceiverZip);
                        $('#ddlTopAreas').val(n.AddressID.split(',')[0]).unbind().change(function(){
                            topAreaChange();
                        }).change();
                        if($('#ddlSubAreas').length > 0){
                            $('#ddlSubAreas').val(n.AddressID.split(',')[1]).change();
                            $('#ddlThirdAreas').val(n.AddressID.split(',')[2]).change();
                        };
                        
                        var area = n.ReceiverAddress.replace($('#ddlTopAreas option[@selected]').text(),'').replace($('#ddlSubAreas option[@selected]').text(),'').replace($('#ddlThirdAreas option[@selected]').text(),'');
                        while(area.indexOf(',') == 0){
                            area = area.replace(',','');
                        };
                        $('#txtRAddress').val(area);
                        
                        $('#txtRName').change(function(){CheckSave();});
                        $('#txtRPhone').change(function(){CheckSave();});
                        $('#txtRAddress').change(function(){CheckSave();});
                        $('#txtRPostalcode').change(function(){CheckSave();});
                        $('#ddlTopAreas').change(function(){CheckSave();});
                        $('#ddlSubAreas').change(function(){CheckSave();});
                        $('#ddlThirdAreas').change(function(){CheckSave();});
                    }else{
                        $('#txtRName').val('');
                        $('#txtRPhone').val('');
                        $('#txtRAddress').val('');
                        $('#txtRPostalcode').val('');
                        $('#ddlTopAreas').val('0').change();
                    };
                },
                error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert(textStatus)};}
            });
        }else{
            CheckSave();
            $('#txtRName').val('');
            $('#txtRPhone').val('');
            $('#txtRAddress').val('');
            $('#txtRPostalcode').val('');
            $('#ddlTopAreas').val('0').change();
            setPriceInfo();
        };
    });//end click
    $('[@name=shipAddr]').eq(0).attr('checked','checked').click();//默认选择收货地址中的第一项
    
    $('#ddlTopAreas').change(function(){topAreaChange();});

	//预付款
	if(Number(memberAdvance) > 0){
	    $('#frmAdvance').show();
	};
	$('#cbAdvPay').click(function(){
	    setPriceInfo();
	});
    //选择从自提点取货
    $('input[@name=rbPayType][@value=6]').click(function(){
        if(!CheckReceivAddr()){return false};
        GetZtds($('#ddlTopAreas').val());
        $('#ztdContainer').show();
        $('.shipContainer').hide();
        
        setZtdVisible();
    });
    $('input[@name=rbPayType][@value!=6]').click(function(){
        if(!CheckReceivAddr()){return false};
        ClearZtds();
        $('#ztdContainer').hide();
        
        var areaID = GetAreaID();
        if(areaID == 0){return false;};
        if($(this).val()==5){
            GetShippings(areaID,true);//该地区仅支付货到付款的配送方式
        }else{
            GetShippings(areaID,false);//该地区所有配送方式
        }
    });
    
    
    $('#ddlDate').change(function(){
        if($(this).val() == '3'){
            $('#specal_day').show();
        }else{
            $('#specal_day').hide();
        };
    });
    
    $('#txt_Date').click(function(){$('#picktime').click();});
    
    //发票
    $('#chkInvoice').click(function(){
        if($(this).attr('checked')){
            $('#invoice').show();
            $('#rbtnInvoiceTypeGeneral').click();
        }else{
            $('#invoice').hide();
            $('#taxPrice').text('0');
        };

        setPriceInfo();
        $(this).blur();
    });
    //普通发票税金
    $('#rbtnInvoiceTypeGeneral').click(function(){
        $('#taxPrice').text(Number($('#total').text()*taxRateGeneral).toFixed(2));
        setPriceInfo();
    });
    //增值税发票税金
    $('#rbtnInvoiceTypeVAT').click(function(){
        $('#taxPrice').text(Number($('#total').text()*taxRateVAT).toFixed(2));
        setPriceInfo();
    });
	
	$('#rbtnInvoiceHeadCompany').click(function(){
		$('#txtCompanyName').show();
	});
	$('#rbtnInvoiceHeadPerson').click(function(){
		$('#txtCompanyName').hide();
	});
	$('#rbtnInvoiceContentOther').click(function(){
		$('#txtInvoiceContent').show();
	});
	$('#rbtnInvoiceContentDetails').click(function(){
		$('#txtInvoiceContent').hide();
	});
	
	$('input[@id^=rblCoupons_]').click(function(){
		if($(this).val() != '0'){
			$('#txtCoupons').val($(this).val());
			$('#btnCoupons').click();
			$('#txtCoupons').val('');
			if(!$('#rblCoupons_0').attr('checked')){
			    $('#coupons').hide();
			}
		}else{
			$('#cancelCoupons').click();
			$('#coupons').show();
		}
	});
	
    //保存按扭
    $('#pleaseWaitButtonDiv_PleaseWaitButton1').show();
    $('#btnSave').click(function(){
        if(!CheckReceivAddr()){alert('!pass');return false};
        if(!CheckPayment()){alert('请选择支付类型');return false;};
        if(!CheckShipping()){return false;};
        $('#pleaseWaitButtonDiv_PleaseWaitButton1').hide();
        $('#pleaseWaitButtonDiv2_PleaseWaitButton1').html('Ordering...');
    });
    	
})  //$(document).ready 结束

function topAreaChange(){
    $('#ddlSubAreas').remove();
    $('#ddlThirdAreas').remove();
    var topoption = $('#ddlTopAreas option[@selected]');
    if(topoption.attr('child') == 'true'){
        var subareas = GetSubArea(topoption.val());//获取二级地区
        var subareaoptions = $('<select id="ddlSubAreas" name="ddlSubAreas"></select>').append(subareas);
        if(subareaoptions.find('option').length > 1){
            $('#ddlTopAreas').after(subareaoptions);
            $('#ddlSubAreas').change(function(){
                $('#ddlThirdAreas').remove();
                var suboption = $('option[@selected]',this);
                if(suboption.attr('child') == 'true'){
                    var thirdareas = GetSubArea(suboption.val());//获取三级地区
                    var thirdareaoptions = $('<select id="ddlThirdAreas" name="ddlThirdAreas"></select>').append(thirdareas);
                    if(thirdareaoptions.find('option').length > 1){
                        $(this).after(thirdareaoptions);
                        $('#ddlThirdAreas').change(function(){
                            //三级地区自提点
                            if($('option[@selected]',this).attr('ztd') > 0){$('tr.paytype_6').show();};
                            $('input[@name=rbPayType][@value=6]').removeAttr('checked');
                            $('#ztdContainer').hide();
                            //三级地区货到付款
                            if($('option[@selected]',this).attr('hdfk') > 0){$('tr.paytype_5').show();}else{$('tr.paytype_5').hide();};
                            $('input[@name=rbPayType][@value=5]').removeAttr('checked');
                            $('[@name=Shipping]').eq(0).data('isHdfk','2');
                            GetShippings($('#ddlThirdAreas').val(),false);
                            setPriceInfo();
                        });
                    };//end if
                }else{
                    //没有三级地区,获取二级地区的配送方式
                    $('[@name=Shipping]').eq(0).data('isHdfk','2')
                    GetShippings($('#ddlSubAreas').val(),false);
                    setPriceInfo();
                };
                showZtd(suboption.attr('ztd'));
                //二级地区货到付款
                if(suboption.attr('hdfk') > 0){$('tr.paytype_5').show();}else{$('tr.paytype_5').hide();};
                $('input[@name=rbPayType][@value=5]').removeAttr('checked');
            });//end change
        };//end if
    }else{
        //没有二级地区,获取一级地区的配送方式
        $('[@name=Shipping]').eq(0).data('isHdfk','2');
        GetShippings($('#ddlTopAreas').val(),false);
        setPriceInfo();
    };
    
    //是否显示自提点选项
    showZtd(topoption.attr('ztd'));
    //是否显示货到付款选项
    if(topoption.attr('hdfk') > 0){$('tr.paytype_5').show();}else{$('tr.paytype_5').hide();$('input[@name=rbPayType][@value=5]').removeAttr('checked');}    
};

//获取子地区
function GetSubArea(areaID){
    var options = null
    var login = true;
    $.ajax({
        url:'ComOrder.aspx?NoCopyRight=1&type=ajax&Action=GetSubArea&AreaID='+areaID,
        type:'get',
        async:false,
        success:function(data){
            if(!checkLoginStatus(data)){login=false;return false;};
            options = data;
        },
        error:function(){alert('error');}
    });
    if(!login){return false};
    return options;
};

//获取自提点
function GetZtds(areaID){
    ClearZtds();
    $.ajax({
        url:'ComOrder.aspx?NoCopyRight=1&type=ajax&Action=GetZtds&AreaID='+areaID,
        type:'get',
        dataType:'json',
        async:false,
        cache:false,
        success:function(msg){
            var data = msg.Ztd;
            $.each(data,function(i,n){
                var row = $('#tmp_ztd').clone().show();
                row.find('.ztdname').html('<input type="radio" id="rbZtd_' + i + '" name="rbZtd" value="' + n.ZtdNo + '" /><label for="rbZtd_' + i + '">' + n.ZtdName + '</label>');
                row.find('.ztdAddr').html(n.Address);
                row.find('.ztdRemark').html(n.Remark);
                row.attr('id','row_ztd_'+i).attr('ztd_areaID',n.AreaID).appendTo($('#ztdContainer tbody'));//id以row_ztd_开头,名为ztd_areaID的属性,在选择子地区显示隐藏对应的自提点时要用到
            });//end each
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert(textStatus)};}
    });
};

//显示隐藏自提点容器
function showZtd(ztdNum){
    if(ztdNum > 0){$('tr.paytype_6').show();}else{$('tr.paytype_6').hide();$('#ztdContainer').hide();}
    $('input[@name=rbPayType][@value=6]').removeAttr('checked');
};

//显示隐藏自提点
function setZtdVisible(){
    if($('#ddlThirdAreas')[0]){
        if($('#ddlThirdAreas option[@selected]').attr('ztd') > 0){
            $('[@ztd_areaID]').hide();
            $('[@ztd_areaID^=' +$('#ddlThirdAreas').val()+ ']').show();
        }else if($('#ddlSubAreas option[@selected]').attr('ztd') > 0){
            $('[@ztd_areaID]').hide();
            $('[@ztd_areaID^=' +$('#ddlSubAreas').val()+ ']').show();
        };
    }else if($('#ddlSubAreas')[0]){
        if($('#ddlSubAreas option[@selected]').attr('ztd') > 0){
            $('[@ztd_areaID]').hide();
            $('[@ztd_areaID^=' +$('#ddlSubAreas').val()+ ']').show();
        };
    };
};


//清除自提点
function ClearZtds(){$('#tmp_ztd').nextAll().remove();};

//根据地区获取配送方式
function GetShippings(areaID,isHdfk){
    $('.shipContainer').show();
    if($('[@name=Shipping]')[0]){
        if($('[@name=Shipping]').eq(0).data('isHdfk') == (isHdfk ? "1" : "0")){
            return false;//不用读取
        };
    }else{
        $('[@name=Shipping]').eq(0).data('isHdfk','0');
    };
    var areaIDForPrice = 0;
    if($('#ddlSubAreas')[0] && $('#ddlSubAreas').val() != 0){
        areaIDForPrice = $('#ddlSubAreas').val();
    }else{
        areaIDForPrice = $('#ddlTopAreas').val();
    };

    $.ajax({
        url:'ComOrder.aspx?NoCopyRight=1&type=ajax&Action=GetShipps&ShipType=' + (isHdfk ? '1' : '0') + '&AreaID=' + areaID + '&AreaIDForPrice=' + areaIDForPrice,
        type:'get',
        dataType:'json',
        cache:false,
        success:function(msg){
            $('#tmp_ship').nextAll().remove();
            var data = msg.Shippings;
            $.each(data,function(i,n){
                var row = $('#tmp_ship').clone().show();
                row.find('.shipname').html('<input type="radio" id="ship_' + i + '" name="Shipping" value="' + n.ShippingID + '" price="' + n.Price + '" /><label for="ship_' + i + '">' + n.Name + '</label>');
                row.find('.shipprice').html(n.Price);
                row.find('.shipdetail').html(n.Description);
                row.find('[@name=Shipping]').click(function(){
                    if(!CheckPayment()){alert('请先选择支付类型');return false;};
                    setPriceInfo();
                });
                row.attr('id','row_ship_'+i).appendTo($('#shipContainer tbody'));
            });
            $('[@name=Shipping]').eq(0).data('isHdfk',(isHdfk ? '1' : '0'));//记录当前读取的是所有配送方式还是仅支持货到付款的配送方式
            
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert(textStatus)};}
    });
};

function CheckSave(){$('#saveaddr').show();$('#isSaveAddr').attr('checked','checked');};//显示是否保存地址的选项
//获取选择的最后一级地区ID
function GetAreaID(){
    var areaID = 0;
    if($('#ddlThirdAreas')[0] && $('#ddlThirdAreas').val() != 0){
        areaID = $('#ddlThirdAreas').val();
    }else if($('#ddlSubAreas')[0] && $('#ddlSubAreas').val() != 0){
        areaID = $('#ddlSubAreas').val();
    }else{
        areaID = $('#ddlTopAreas').val();
    }
    return areaID;
};

//判断是否选择了完整的地区
function CheckFullAddr(){
    if($('#ddlThirdAreas')[0] && $('#ddlThirdAreas').val() == 0){
        return false;
    }else if($('#ddlSubAreas')[0] && $('#ddlSubAreas').val() == 0){
        return false;
    }else if($('#ddlTopAreas').val() == 0){
        return false;
    }else{
        return true;
    };
};

//判断收货地址是否填写完整
function CheckReceivAddr(){
    if($.trim($('#txtRName').val())==''){alert('请填写收货人姓名!');return false;};
    if(!CheckFullAddr()){alert('请选择完整的地区');return false;};
    if($.trim($('#txtRAddress').val())==''){alert('请填写收货人详细地址!');return false;};
    if($.trim($('#txtRPostalcode').val())==''){alert('请填写收货人邮政编码!');return false;};
    return true;
};

//判断是否选择了支付类型
function CheckPayment(){
    if($('[@name=rbPayType][@checked]').length==0){return false;};
    return true;
};
//检查配送信息
function CheckShipping(){
    if($('input[@name=rbPayType][@checked]').val() == 6){
        if($('[@name=rbZtd][@checked]').length == 0){alert('请选择自提点!');return false};//如果选择了到自提点提货,判断是否选择了自提点
    }else{
        if($('[@name=Shipping][@checked]').length == 0){alert('请选择配送方式');return false};//如果没有选择从自提点取货,判断是否选择了送货方式
    };
    return true;
};

function setAdvancePrice(){
    if($('#cbAdvPay').attr('checked')){
        var tmpTotal = Number($('#total').text()) + Number($('#taxPrice').text()) + Number($('#shipPrice').text());
        $.ajax({
            url:'ComOrder.aspx?NoCopyRight=1&type=ajax&Action=GetAdvancePayment',
            type:'get',
            cache:false,
            async:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;};
                $('#advMoney').text(Number(data).toFixed(2));
                if(data >= tmpTotal){
                    $('#advPrice').text(Number(tmpTotal).toFixed(2));
                }else{
                    $('#advPrice').text(Number(data).toFixed(2));
                };
            },
            error:function(){alert('error');}
        });
    }else{
        $('#advPrice').text('0');
    };
};

function setPriceInfo(){
    var shipPrice = 0;
    if($('[@name=Shipping][@checked]').attr('price')){
        shipPrice = $('[@name=Shipping][@checked]').attr('price');
    };
    $('#shipPrice').text(shipPrice);
    $('#freeTip').hide();
    if(shipFreeType==0){//不开通免运费
        $('#shipPrice').text(shipPrice);
    }else if(shipFreeType==1){//全国统一最低金额
        if($('#total').text() >= leastMoney){
            $('#shipPrice').text('0');
            $('#freeTip').show();
        };
    }else{//按地区设置最低金额
        var arealeast = 0;
        if($('#ddlSubAreas')[0] && $('#ddlSubAreas').val() != 0){
            arealeast = $('#ddlSubAreas option[@selected]').attr('freeleast') ? $('#ddlSubAreas option[@selected]').attr('freeleast') : 0;
        }else{
            arealeast = $('#ddlTopAreas option[@selected]').attr('freeleast') ? $('#ddlTopAreas option[@selected]').attr('freeleast') : 0;
        };
        if(Number($('#total').text()) >= Number(arealeast)){
            $('#shipPrice').text('0');
            $('#freeTip').show();
        };
    };
    
    setAdvancePrice();
    
    var lefttotal = Number($('#ptotalPrice').text()) + Number($('#shipPrice').text()) + Number($('#taxPrice').text()) - Number($('#advPrice').text()) - Number($('#ScoreAmount').text());
    $('#lefttotal').text(Number(lefttotal).toFixed(2));
};

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    };
    return result;
};